## wine-gecko-1.4 1.4+dfsg1

=== security/nss/lib/freebl/Makefile ===
#! gmake
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#   Stephen Fung <fungstep@hotmail.com> and
#   Douglas Stebila <douglas@stebila.ca>, Sun Microsystems Laboratories
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

#######################################################################
# (1) Include initial platform-independent assignments (MANDATORY).   #
#######################################################################

include manifest.mn

#######################################################################
# (2) Include "global" configuration information. (OPTIONAL)          #
#######################################################################

include $(CORE_DEPTH)/coreconf/config.mk

#######################################################################
# (3) Include "component" configuration information. (OPTIONAL)       #
#######################################################################



#######################################################################
# (4) Include "local" platform-dependent assignments (OPTIONAL).      #
#######################################################################

include config.mk

# default for all platforms
# unset this on those that have multiple freebl libraries
FREEBL_BUILD_SINGLE_SHLIB = 1

ifdef USE_64
	DEFINES += -DNSS_USE_64
endif

ifdef USE_ABI32_FPU
	DEFINES += -DNSS_USE_ABI32_FPU
endif

ifeq ($(FREEBL_NO_DEPEND),1)
	DEFINES += -DFREEBL_NO_DEPEND
	LOWHASH_SRCS = stubs.c nsslowhash.c
	LOWHASH_EXPORTS = nsslowhash.h
	MAPFILE_SOURCE = freebl_hash.def
else
	MAPFILE_SOURCE = freebl.def
endif
# NSS_X86 means the target is a 32-bits x86 CPU architecture
# NSS_X64 means the target is a 64-bits x64 CPU architecture
# NSS_X86_OR_X64 means the target is either x86 or x64
ifeq (,$(filter-out x386 x86 x86_64,$(CPU_ARCH)))
        DEFINES += -DNSS_X86_OR_X64
ifdef USE_64
        DEFINES += -DNSS_X64
else
        DEFINES += -DNSS_X86
endif
endif

ifeq ($(OS_TARGET),OSF1)
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_NO_MP_WORD
    MPI_SRCS += mpvalpha.c
endif

ifeq (OS2,$(OS_TARGET))
    ASFILES  = mpi_x86_os2.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
endif

ifeq (,$(filter-out WINNT WIN95,$(OS_TARGET)))  #omits WINCE
ifndef USE_64
# 32-bit Windows
ifdef NS_USE_GCC
# Ideally, we want to use assembler
#     ASFILES  = mpi_x86.s
#     DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE \
#                -DMP_ASSEMBLY_DIV_2DX1D
# but we haven't figured out how to make it work, so we are not
# using assembler right now.
    ASFILES  =
    DEFINES += -DMP_NO_MP_WORD -DMP_USE_UINT_DIGIT
else
# MSVC
    MPI_SRCS += mpi_x86_asm.c
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
endif
else
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
# FIXME: we should use amd64 assembles, but it's not yet mingw-w64 compatible
ifndef NS_USE_GCC
    # -DMP_NO_MP_WORD
    ifdef BUILD_OPT
	OPTIMIZER += -Ox  # maximum optimization for freebl
    endif
    ASFILES  = arcfour-amd64-masm.asm mpi_amd64_masm.asm mp_comba_amd64_masm.asm
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    MPI_SRCS += mpi_amd64.c
endif
endif
endif

ifeq ($(OS_TARGET),WINCE)
    DEFINES += -DMP_ARGCHK=0	# no assert in WinCE
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
endif

ifeq ($(OS_TARGET),IRIX)
ifeq ($(USE_N32),1)
    ASFILES  = mpi_mips.s
    ifeq ($(NS_USE_GCC),1)
	ASFLAGS = -Wp,-P -Wp,-traditional -O -mips3
    else
	ASFLAGS = -O -OPT:Olimit=4000 -dollar -fullwarn -xansi -n32 -mips3 
    endif
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    DEFINES += -DMP_USE_UINT_DIGIT
endif
endif

ifeq ($(OS_TARGET),Linux)
ifeq ($(CPU_ARCH),x86_64)
    ASFILES  = arcfour-amd64-gas.s mpi_amd64_gas.s
    ASFLAGS += -march=opteron -m64 -fPIC -Wa,--noexecstack
    DEFINES += -DNSS_BEVAND_ARCFOUR -DMPI_AMD64 -DMP_ASSEMBLY_MULTIPLY
    DEFINES += -DNSS_USE_COMBA
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
#   DEFINES += -DMPI_AMD64_ADD
    # comment the next two lines to turn off intel HW accelleration
    DEFINES += -DUSE_HW_AES
    ASFILES += intel-aes.s
    MPI_SRCS += mpi_amd64.c mp_comba.c
endif
ifeq ($(CPU_ARCH),x86)
    ASFILES  = mpi_x86.s
    DEFINES += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE 
    DEFINES += -DMP_ASSEMBLY_DIV_2DX1D
    DEFINES += -DMP_CHAR_STORE_SLOW -DMP_IS_LITTLE_ENDIAN
    # The floating point ECC code doesn't work on Linux x86 (bug 311432).
    #ECL_USE_FP = 1
endif
endif # Linux

ifeq ($(OS_TARGET),AIX)
    DEFINES += -DMP_USE_UINT_DIGIT
    ifndef USE_64
	DEFINES += -DMP_NO_DIV_WORD -DMP_NO_ADD_WORD -DMP_NO_SUB_WORD
    endif
endif # AIX

ifeq ($(OS_TARGET), HP-UX)
ifneq ($(OS_TEST), ia64)
# PA-RISC
ASFILES += ret_cr16.s
ifndef USE_64
    FREEBL_BUILD_SINGLE_SHLIB = 
    HAVE_ABI32_INT32 = 1
    HAVE_ABI32_FPU = 1
endif
ifdef FREEBL_CHILD_BUILD
ifdef USE_ABI32_INT32
# build for DA1.1 (HP PA 1.1) 32-bit ABI build with 32-bit arithmetic
    DEFINES  += -DMP_USE_UINT_DIGIT -DMP_NO_MP_WORD
    DEFINES += -DSHA_NO_LONG_LONG # avoid 64-bit arithmetic in SHA512
else
ifdef USE_64
# this builds for DA2.0W (HP PA 2.0 Wide), the LP64 ABI, using 64-bit digits 
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
else
# this builds for DA2.0 (HP PA 2.0 Narrow) ABI32_FPU model 
# (the 32-bit ABI with 64-bit registers) using 64-bit digits
    MPI_SRCS += mpi_hp.c 
    ASFILES  += hpma512.s hppa20.s 
    DEFINES  += -DMP_ASSEMBLY_MULTIPLY -DMP_ASSEMBLY_SQUARE
    ARCHFLAG = -Aa +e +DA2.0 +DS2.0
endif
endif
endif
endif
endif

# The blapi functions are defined not only in the freebl shared
# libraries but also in the shared libraries linked with loader.c
# (libsoftokn3.so and libssl3.so).  We need to use GNU ld's
# -Bsymbolic option or the equivalent option for other linkers
# to bind the blapi function references in FREEBLVector vector
# (ldvector.c) to the blapi functions defined in the freebl
# shared libraries.
ifeq (,$(filter-out BSD_OS FreeBSD Linux NetBSD OpenBSD, $(OS_TARGET)))
    MKSHLIB += -Wl,-Bsymbolic
endif

ifeq ($(OS_TARGET),SunOS)

ifdef NS_USE_GCC
    ifdef GCC_USE_GNU_LD
	MKSHLIB += -Wl,-Bsymbolic,-z,now,-z,text
    else
	MKSHLIB += -Wl,-B,symbolic,-z,now,-z,text
    endif # GCC_USE_GNU_LD
else
    MKSHLIB += -B symbolic -z now -z text
endif # NS_USE_GCC

# Sun's WorkShop defines v8, v8plus and v9 architectures.
# gcc on Solaris defines v8 and v9 "cpus".  
# gcc's v9 is equivalent to Workshop's v8plus.
# gcc's -m64 is equivalent to Workshop's v9
# We always use Sun's assembler, which uses Sun's naming convention.
ifeq ($(CPU_ARCH),sparc)
    FREEBL_BUILD_SINGLE_SHLIB=
    ifdef USE_64
        HAVE_ABI64_INT = 1
        HAVE_ABI64_FPU = 1
    else
        HAVE_ABI32_INT32 = 1
        HAVE_ABI32_FPU = 1
        HAVE_ABI32_INT64 = 1
    endif
    SYSV_SPARC = 1
    SOLARIS_AS = /usr/ccs/bin/as
    #### set arch, asm, c flags
    ifdef NS_USE_GCC
	ifdef USE_ABI32_INT32
	    # default ARCHFLAG=-mcpu=v8 set by coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    ARCHFLAG=-mcpu=v9 -Wa,-xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif # USE_ABI32_FPU
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size
	    ARCHFLAG += -mcpu=v9 -Wa,-xarch=v9a
	    SOLARIS_AS_FLAGS = -xarch=v9a -K PIC
	endif
    else # NS_USE_GCC
	# FPU_TARGET_OPTIMIZER specifies the target processor and cache
	# properties of the ABI32_FPU and ABI64_FPU architectures for use
	# by the optimizer.
	ifeq (,$(findstring Sun WorkShop 6,$(shell $(CC) -V 2>&1)))
	    # if the compiler is not Forte 6
	    FPU_TARGET_OPTIMIZER = -xcache=64/32/4:1024/64/4 -xchip=ultra3
	else
	    # Forte 6 C compiler generates incorrect code for rijndael.c
	    # if -xchip=ultra3 is used (Bugzilla bug 333925).  So we revert
	    # to what we used in NSS 3.10.
	    FPU_TARGET_OPTIMIZER = -xchip=ultra2
	endif
	ifdef USE_ABI32_INT32
	    #ARCHFLAG=-xarch=v8 set in coreconf/sunOS5.mk
	endif
	ifdef USE_ABI32_INT64
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses 64-bit words, integer arithmetic,
	    # no FPU (non-VIS cpus).
	    # These flags were suggested by the compiler group for building
	    # with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v8plus
	    SOLARIS_AS_FLAGS = -xarch=v8plus -K PIC
	endif
	ifdef USE_ABI32_FPU
	    # this builds for Sparc v8+a ABI32_FPU architecture, 64-bit registers, 
	    # 32-bit ABI, it uses FPU code, and 32-bit word size.
	    # these flags were determined by running cc -### -fast and copying
	    # the generated flag settings
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT
                SOL_CFLAGS += -D__MATHERR_ERRNO_DONTCARE -fsimple=1
                SOL_CFLAGS += -xalias_level=basic -xbuiltin=%all
                SOL_CFLAGS += $(FPU_TARGET_OPTIMIZER) -xdepend
                SOL_CFLAGS += -xlibmil -xO5
	    endif
	    ARCHFLAG = -xarch=v8plusa
	    SOLARIS_AS_FLAGS = -xarch=v8plusa -K PIC
	endif
	ifdef USE_ABI64_INT
	    # this builds for Sparc v9a pure 64-bit architecture,
	    # no FPU (non-VIS cpus). For building with SunStudio 10.
	    ifdef BUILD_OPT
                SOL_CFLAGS += -xO4
	    endif
 	    SOL_CFLAGS += -xtarget=generic
	    ARCHFLAG = -xarch=v9
	    SOLARIS_AS_FLAGS = -xarch=v9 -K PIC
	endif
	ifdef USE_ABI64_FPU
	    # this builds for Sparc v9a pure 64-bit architecture
	    # It uses floating point, and 32-bit word size.
	    # See comment for USE_ABI32_FPU.
	    SOL_CFLAGS += -fsingle -xmemalign=8s
	    ifdef BUILD_OPT

=== security/nss/pkg/solaris/SUNWtlsu/Makefile ===
#
# Copyright 2005 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is the Netscape security libraries.
#
# The Initial Developer of the Original Code is
# Netscape Communications Corporation.
# Portions created by the Initial Developer are Copyright (C) 1994-2000
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****
#
#ident	"$Id: Makefile,v 1.3 2005/02/26 02:20:42 christophe.ravel.bugs%sun.com Exp $"
#

CORE_DEPTH = ../../../..
include ../Makefile-tlsu.com

DATAFILES +=

all:: $(FILES)
publish:: all pkg

include ../Makefile-tlsu.targ

=== debian/changelog ===
wine-gecko-1.4 (1.4+dfsg1-3) unstable; urgency=low

  * Revert to "Architecture: all".
  * Add missing uuid-runtime build-dependency (for uuidgen).
  * Upload to unstable.

 -- Stephen Kitt <steve@sk2.org>  Sun, 23 Sep 2012 16:46:53 +0200

wine-gecko-1.4 (1.4+dfsg1-2) experimental; urgency=low

  * Disable parallel builds (hopefully fixes kfreebsd-i386 FTBFS).

 -- Stephen Kitt <steve@sk2.org>  Wed, 29 Aug 2012 08:42:36 +0200

wine-gecko-1.4 (1.4+dfsg1-1) experimental; urgency=low

  * Filter out the remaining Windows binaries.
  * Make the package "Architecture: any" so it only builds on
    architectures with wine-bin (closes: #684844).

 -- Stephen Kitt <steve@sk2.org>  Fri, 24 Aug 2012 08:14:25 +0200

wine-gecko-1.4 (1.4+dfsg-2) unstable; urgency=low

  * Add Ubuntu alternative to the wine build-dependency (although the
    binfmt-support conflict prevents building for now).
  * Add yasm build-dependency which ends up being required on Ubuntu.
  * Add Debian Wine party VCS URLs.
  * Stop making the MSIs and debugging archives executable.
  * Disable the 64-bit debug build until we can use 64-bit buildds to
    build the package (either via multiarch or 64-bit wine-bin).
  * Avoid ignoring errors in the debian/rules build-clean target.
  * wrap-and-sort debian/control and debian/copyright.
  * Drop unused lcab build-dependency.
  * Use multiarch paths for wineserver.
  * Clarify LPPL-1.3 paragraphs in debian/copyright.

 -- Stephen Kitt <steve@sk2.org>  Fri, 15 Jun 2012 07:28:58 +0200

wine-gecko-1.4 (1.4+dfsg-1) unstable; urgency=low

  * New upstream version, as required by Wine versions 1.3.33 to 1.4.
  * Build-depend on wine or wine-unstable, now required to package wine-
    gecko.
  * Update patches:
    - config: reworked to account for the new configuration layout;
    - bashism: updated, wine/make_package already specifies /bin/bash;
    - uintptr-redefinition, mno-cygwin-removed, gcc-4.6-temporary-varible:
      removed, no longer relevant.
  * Ship propvarutil.h from wine 1.4 (it's required for the build and
    isn't yet part of mingw-w64).
  * Build using wine/make_package with no separate configuration stage.
  * Build 64-bit wine-gecko as well as 32-bit. (The 64-bit debug package
    requires a 64-bit host platform to link the final DLL; a 32-bit
    platform doesn't allow enough address space.)

 -- Stephen Kitt <steve@sk2.org>  Sun, 20 May 2012 01:08:18 +0200

wine-gecko-1.1.0 (1.1.0+dfsg-2) unstable; urgency=low

  * Mark binary packages "Multi-Arch: foreign" (closes: #673524).
  * The full text of the MPL and NPL is in debian/copyright, no need to
    ship it separately.

 -- Stephen Kitt <steve@sk2.org>  Sat, 19 May 2012 19:45:27 +0200

wine-gecko-1.1.0 (1.1.0+dfsg-1) unstable; urgency=low

  * Add myself to uploaders and allow DM uploads (as suggested by Michael
    Gilbert).
  * New upstream version (not the latest, but this version is required on
    the road to Wine 1.4).
  * Update patches:
    - patches/bashism: refresh;
    - patches/config: adapt to the new configuration files used upstream;
    - patches/gcc-4.6-temporary-variable: refresh;
    - patches/mno-cygwin-removed: refresh;
    - patches/no_xpidel, patches/mingw-lock, patches/version-fix,
      patches/gcc-4.5-fixes, patches/gcc-4.6-const-qualifiers,
      patches/more-gcc-4.6-const-qualifiers: removed.
  * Drop libstdc++6-4.5-dev build-dependency, no longer used
    (g++-mingw-w64-i686 pulls in libstdc6-4.6-dev).
  * Rename to wine-gecko-1.1.0 - there is no stable/unstable distinction
    in wine-gecko, just different versions, each one required by a series
    of versions of Wine, stable or otherwise.
  * Install the CAB files in /usr/share/wine-gecko, and rely on the wine
    packages to symlink them as appropriate.
  * Use make_package for the standard and debug builds, make_package-dbg
    is no longer provided.
  * Header files no longer need to be cleaned up.
  * Remove the unused buildtools target from debian/rules.
  * Update debian/watch to track 1.1.
  * Update debian/copyright: switch to format 1.0, add missing license
    descriptions.
  * Split build-arch/build-indep targets.
  * Standards-Version 3.9.3, no further change required.

 -- Stephen Kitt <steve@sk2.org>  Tue, 01 May 2012 23:53:53 +0200

wine-gecko-unstable (1.0.0+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on g++-mingw-w64-i686 after gcc-mingw-w64 package split
    (closes: #669558)
    - Thanks to Stephen Kitt for the patch!

 -- Michael Gilbert <mgilbert@debian.org>  Fri, 20 Apr 2012 16:43:42 -0400

wine-gecko-unstable (1.0.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #479861)
  * Packaging includes contributions from Stephen Kitt <steve@sk2.org>
    (especially for debian/copyright).

 -- Ove Kaaven <ovek@arcticnet.no>  Thu, 04 Aug 2011 23:41:17 +0200

=== debian/control ===
Source: wine-gecko-1.4
Section: otherosfs
Priority: optional
Maintainer: Debian Wine Party <pkg-wine-party@lists.alioth.debian.org>
Uploaders: Ove Kaaven <ovek@arcticnet.no>, Stephen Kitt <steve@sk2.org>
DM-Upload-Allowed: yes
Build-Depends: autoconf2.13, debhelper (>= 7)
Build-Depends-Indep: g++-mingw-w64-i686,
                     g++-mingw-w64-x86-64,
                     libidl-dev,
                     libx11-dev,
                     python,
                     unzip,
                     uuid-runtime,
                     wine-bin (>= 1.4-0.2) | wine-bin-unstable (>= 1.3.15-0.2) | wine1.4,
                     yasm,
                     zip
Build-Conflicts: binfmt-support
Standards-Version: 3.9.3
Homepage: http://www.winehq.org/
Vcs-Git: git://git.debian.org/git/pkg-wine/wine-gecko.git
Vcs-Browser: http://git.debian.org/?p=pkg-wine/wine-gecko.git

Package: libwine-gecko-1.4
Section: libs
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Windows API implementation - web browser module
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a HTML renderer based on the Mozilla engine, Gecko.

Package: libwine-gecko-dbg-1.4
Section: libs
Architecture: all
Depends: ${misc:Depends}
Multi-Arch: foreign
Description: Windows API implementation - web browser debug build
 Wine is a free MS-Windows API implementation.
 This is still a work in progress and many applications may still not work.
 .
 This package contains a HTML renderer based on the Mozilla engine, Gecko,
 with debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

VERSION=-1.4

# This package doesn't support parallel builds at the top level

# This provides propvarutil.h until mingw-w64 ships it
export CPPFLAGS=-I$(CURDIR)/debian/include

wine_gecko$(VERSION)-x86/dist:
	dh_testdir
	wine/make_package

wine_gecko$(VERSION)-x86_64/dist:
	dh_testdir
	wine/make_package -win64

wine_gecko$(VERSION)-x86-dbg/dist:
	dh_testdir
	wine/make_package -dbg

wine_gecko$(VERSION)-x86_64-dbg/dist:
	dh_testdir
	wine/make_package -win64 -dbg

# targets for cleaning

build-clean:
	dh_testdir
	# The cleansrcdir target uses build/autoconf/clean-config.sh
	# which contains bashisms but has a #!/bin/sh line in the
	# upstream source; we only call the target if our patch is
	# applied
	if head -n 1 build/autoconf/clean-config.sh | grep -q /bin/bash; then \
		$(MAKE) -f client.mk cleansrcdir; \
	fi
	rm -rf wine_gecko$(VERSION)-x86*
	rm -f a.out confdefs.h configure js/src/configure \
	 .mozconfig.mk .mozconfig.out security/manager/.nss.checkout
	dh_clean

# standard targets

configure: wine_gecko

build-arch:

# The 64-bit debug package needs a 64-bit build platform, so to build it
# we need either multiarch support on buildds, or 64-bit wine-bin. Until
# that happens the 64-bit debug package is disabled.
build-indep: wine_gecko$(VERSION)-x86/dist wine_gecko$(VERSION)-x86-dbg/dist wine_gecko$(VERSION)-x86_64/dist #wine_gecko$(VERSION)-x86_64-dbg/dist

clean: build-clean
	dh_testdir
	rm -rf buildtools include lib
	find -name "*.pyc" -exec rm {} \;

binary-arch:

binary-indep: build-indep
	dh_testdir
	dh_testroot
	dh_prep -i
	install -m 644 -D wine_gecko$(VERSION)-x86/dist/wine_gecko$(VERSION)-x86.msi debian/libwine-gecko$(VERSION)/usr/share/wine-gecko/wine_gecko$(VERSION)-x86.msi
	install -m 644 -D wine_gecko$(VERSION)-x86_64/dist/wine_gecko$(VERSION)-x86_64.msi debian/libwine-gecko$(VERSION)/usr/share/wine-gecko/wine_gecko$(VERSION)-x86_64.msi
	install -m 644 -D wine_gecko$(VERSION)-x86-dbg/dist/wine_gecko$(VERSION)-x86-dbg.tar.bz2 debian/libwine-gecko-dbg$(VERSION)/usr/share/wine-gecko/wine_gecko$(VERSION)-x86-dbg.tar.bz2
	# 64-bit debug package disabled, see above
	# install -m 644 -D wine_gecko$(VERSION)-x86_64-dbg/dist/wine_gecko$(VERSION)-x86_64-dbg.tar.bz2 debian/libwine-gecko-dbg$(VERSION)/usr/share/wine-gecko/wine_gecko$(VERSION)-x86_64-dbg.tar.bz2
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-indep

patch: wine-mozilla buildtools include

# Upstream source must be repacked for DFSG compliance
get-orig-source:
	uscan --download --destdir . --force-download

.PHONY: configure build build-clean clean install \
 binary-arch binary-indep binary patch get-orig-source

=== debian/watch ===
version=3

# This package is version 1.4-specific, we're only interested in
# minor updates
opts=uversionmangle=s/-src$//;s/-beta/~beta/,dversionmangle=s/.dfsg.*$// \
http://sf.net/wine/wine-mozilla-(1\.4.*)\.tar\.bz2 debian python debian/repack.py
